How to use the widgetsnbextension.setup.NPM function in widgetsnbextension

To help you get started, we’ve selected a few widgetsnbextension examples, based on popular ways it is used in public projects.

Secure your code as it's written. Use Snyk Code to scan source code in minutes - no build needed - and fix issues immediately.

github jupyter-widgets / ipywidgets / widgetsnbextension / setup.py View on Github external
platforms       = "Linux, Mac OS X, Windows",
    keywords        = ['Interactive', 'Interpreter', 'Shell', 'Web'],
    classifiers     = [
        'Intended Audience :: Developers',
        'Intended Audience :: System Administrators',
        'Intended Audience :: Science/Research',
        'License :: OSI Approved :: BSD License',
        'Programming Language :: Python',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Framework :: Jupyter'
    ],
    cmdclass        = {
        'build_py': js_prerelease(build_py),
        'sdist': js_prerelease(sdist, strict=True),
        'jsdeps': NPM,
    },
    data_files      = [(
            'share/jupyter/nbextensions/jupyter-widgets', [
                'widgetsnbextension/static/extension.js',
                'widgetsnbextension/static/extension.js.map'
        ]),
    ],
    zip_safe=False,
    include_package_data = True,
)

if 'develop' in sys.argv or any(a.startswith('bdist') for a in sys.argv):
    import setuptools

if 'setuptools' in sys.modules:
    # setup.py develop should check for submodules
github jupyter-widgets / ipywidgets / widgetsnbextension / setup.py View on Github external
platforms       = "Linux, Mac OS X, Windows",
    keywords        = ['Interactive', 'Interpreter', 'Shell', 'Web'],
    classifiers     = [
        'Intended Audience :: Developers',
        'Intended Audience :: System Administrators',
        'Intended Audience :: Science/Research',
        'License :: OSI Approved :: BSD License',
        'Programming Language :: Python',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Framework :: Jupyter'
    ],
    cmdclass        = {
        'build_py': js_prerelease(build_py),
        'sdist': js_prerelease(sdist, strict=True),
        'jsdeps': NPM,
    },
    data_files      = [(
            'share/jupyter/nbextensions/jupyter-js-widgets', [
                'widgetsnbextension/static/extension.js',
                'widgetsnbextension/static/extension.js.map'
        ]),
        ('etc/jupyter/nbconfig/notebook.d' , ['widgetsnbextension.json'])
    ],
    zip_safe=False,
    include_package_data = True,
)

if 'develop' in sys.argv or any(a.startswith('bdist') for a in sys.argv):
    import setuptools

if 'setuptools' in sys.modules:

widgetsnbextension

Jupyter interactive widgets for Jupyter Notebook

BSD-3-Clause
Latest version published 1 day ago

Package Health Score

75 / 100
Full package analysis

Popular widgetsnbextension functions

Similar packages